<!doctype html>
<html>
  <head>
    <title>Payments API</title>
    <style type="text/css">
      body {
      	font-family: Trebuchet MS, sans-serif;
      	font-size: 15px;
      	color: #444;
      	margin-right: 24px;
      }
      
      h1	{
      	font-size: 25px;
      }
      h2	{
      	font-size: 20px;
      }
      h3	{
      	font-size: 16px;
      	font-weight: bold;
      }
      hr	{
      	height: 1px;
      	border: 0;
      	color: #ddd;
      	background-color: #ddd;
      }
      
      .app-desc {
        clear: both;
        margin-left: 20px;
      }
      .param-name {
        width: 100%;
      }
      .license-info {
        margin-left: 20px;
      }
      
      .license-url {
        margin-left: 20px;
      }
      
      .model {
        margin: 0 0 0px 20px;
      }
      
      .method {
        margin-left: 20px;
      }
      
      .method-notes	{
      	margin: 10px 0 20px 0;
      	font-size: 90%;
      	color: #555;
      }
      
      pre {
        padding: 10px;
        margin-bottom: 2px;
      }
      
      .http-method {
       text-transform: uppercase;
      }
      
      pre.get {
        background-color: #0f6ab4;
      }
      
      pre.post {
        background-color: #10a54a;
      }
      
      pre.put {
        background-color: #c5862b;
      }
      
      pre.delete {
        background-color: #a41e22;
      }
      
      .huge	{
      	color: #fff;
      }
      
      pre.example {
        background-color: #f3f3f3;
        padding: 10px;
        border: 1px solid #ddd;
      }
      
      code {
        white-space: pre;
      }
      
      .nickname {
        font-weight: bold;
      }
      
      .method-path {
        font-size: 1.5em;
        background-color: #0f6ab4;
      }
      
      .up {
        float:right;
      }
      
      .parameter {
        width: 500px;
      }
      
      .param {
        width: 500px;
        padding: 10px 0 0 20px;
        font-weight: bold;
      }
      
      .param-desc {
        width: 700px;
        padding: 0 0 0 20px;
        color: #777;
      }
      
      .param-type {
        font-style: italic;
      }
      
      .param-enum-header {
      width: 700px;
      padding: 0 0 0 60px;
      color: #777;
      font-weight: bold;
      }
      
      .param-enum {
      width: 700px;
      padding: 0 0 0 80px;
      color: #777;
      font-style: italic;
      }
      
      .field-label {
        padding: 0;
        margin: 0;
        clear: both;
      }
      
      .field-items	{
      	padding: 0 0 15px 0;
      	margin-bottom: 15px;
      }
      
      .return-type {
        clear: both;
        padding-bottom: 10px;
      }
      
      .param-header {
        font-weight: bold;
      }
      
      .method-tags {
        text-align: right;
      }
      
      .method-tag {
        background: none repeat scroll 0% 0% #24A600;
        border-radius: 3px;
        padding: 2px 10px;
        margin: 2px;
        color: #FFF;
        display: inline-block;
        text-decoration: none;
      }
    </style>
  </head>
  <body>
  <h1>Payments API</h1>
    <div class="app-desc">No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)</div>
    <div class="app-desc">More information: <a href="https://helloreverb.com">https://helloreverb.com</a></div>
    <div class="app-desc">Contact Info: <a href="hello@helloreverb.com">hello@helloreverb.com</a></div>
    <div class="app-desc">Version: 1.0.0</div>
    <div class="app-desc">BasePath:/v1</div>
    <div class="license-info">All rights reserved</div>
    <div class="license-url">http://apache.org/licenses/LICENSE-2.0.html</div>
  <h2>Access</h2>

  <h2><a name="__Methods">Methods</a></h2>
  [ Jump to <a href="#__Models">Models</a> ]

  <h3>Table of Contents </h3>
  <div class="method-summary"></div>
  <h4><a href="#Payments">Payments</a></h4>
  <ul>
  <li><a href="#paymentsGet"><code><span class="http-method">get</span> /payments</code></a></li>
  <li><a href="#paymentsPost"><code><span class="http-method">post</span> /payments</code></a></li>
  <li><a href="#paymentsUidDelete"><code><span class="http-method">delete</span> /payments/{uid}</code></a></li>
  <li><a href="#paymentsUidGet"><code><span class="http-method">get</span> /payments/{uid}</code></a></li>
  </ul>

  <h1><a name="Payments">Payments</a></h1>
  <div class="method"><a name="paymentsGet"></a>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /payments</code></pre></div>
    <div class="method-summary">Shows all payments (<span class="nickname">paymentsGet</span>)</div>
    <div class="method-notes"></div>







    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      array[<a href="#Payment">Payment</a>]
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->


    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    successful operation
        
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="paymentsPost"></a>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="post"><code class="huge"><span class="http-method">post</span> /payments</code></pre></div>
    <div class="method-summary">Create new payment (<span class="nickname">paymentsPost</span>)</div>
    <div class="method-notes"></div>


    <h3 class="field-label">Consumes</h3>
    This API call consumes the following media types via the <span class="header">Content-Type</span> request header:
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Request body</h3>
    <div class="field-items">
      <div class="param">body <a href="#body">body</a> (required)</div>
      
            <div class="param-desc"><span class="param-type">Body Parameter</span> &mdash; Register new Payment object </div>
    </div>  <!-- field-items -->





    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">201</h4>
    Successful operation
        <a href="#"></a>
    <h4 class="field-label">400</h4>
    Invalid input
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="paymentsUidDelete"></a>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="delete"><code class="huge"><span class="http-method">delete</span> /payments/{uid}</code></pre></div>
    <div class="method-summary">Delete payment entity (<span class="nickname">paymentsUidDelete</span>)</div>
    <div class="method-notes"></div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">uid (required)</div>
      
            <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; UID of payment to delete </div>    </div>  <!-- field-items -->







    <!--Todo: process Response Object and its headers, schema, examples -->



    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">204</h4>
    Successful operation
        <a href="#"></a>
    <h4 class="field-label">400</h4>
    Invalid input
        <a href="#"></a>
    <h4 class="field-label">404</h4>
    Payment not found
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>
  <div class="method"><a name="paymentsUidGet"></a>
    <div class="method-path">
    <a class="up" href="#__Methods">Up</a>
    <pre class="get"><code class="huge"><span class="http-method">get</span> /payments/{uid}</code></pre></div>
    <div class="method-summary">Get payment entity by UID (<span class="nickname">paymentsUidGet</span>)</div>
    <div class="method-notes"></div>

    <h3 class="field-label">Path parameters</h3>
    <div class="field-items">
      <div class="param">uid (required)</div>
      
            <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; UID of payment to return </div>    </div>  <!-- field-items -->






    <h3 class="field-label">Return type</h3>
    <div class="return-type">
      <a href="#Payment">Payment</a>
      
    </div>

    <!--Todo: process Response Object and its headers, schema, examples -->


    <h3 class="field-label">Produces</h3>
    This API call produces the following media types according to the <span class="header">Accept</span> request header;
    the media type will be conveyed by the <span class="header">Content-Type</span> response header.
    <ul>
      <li><code>application/json</code></li>
    </ul>

    <h3 class="field-label">Responses</h3>
    <h4 class="field-label">200</h4>
    Successful operation
        <a href="#Payment">Payment</a>
    <h4 class="field-label">400</h4>
    Invalid input
        <a href="#"></a>
    <h4 class="field-label">404</h4>
    Payment not found
        <a href="#"></a>
  </div> <!-- method -->
  <hr/>

  <h2><a name="__Models">Models</a></h2>
  [ Jump to <a href="#__Methods">Methods</a> ]

  <h3>Table of Contents</h3>
  <ol>
    <li><a href="#Money"><code>Money</code></a></li>
    <li><a href="#Payment"><code>Payment</code></a></li>
    <li><a href="#body"><code>body</code></a></li>
  </ol>

  <div class="model">
    <h3><a name="Money"><code>Money</code></a> <a class="up" href="#__Models">Up</a></h3>
    
    <div class="field-items">
      <div class="param">value (optional)</div><div class="param-desc"><span class="param-type"><a href="#integer">Integer</a></span> Value is represented by int for example 29,89 is represented as 2989 </div>
          <div class="param-desc"><span class="param-type">example: 2989</span></div>
<div class="param">currencyCode (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
          <div class="param-desc"><span class="param-type">example: EUR</span></div>
    </div>  <!-- field-items -->
  </div>
  <div class="model">
    <h3><a name="Payment"><code>Payment</code></a> <a class="up" href="#__Models">Up</a></h3>
    
    <div class="field-items">
      <div class="param">uid (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
          <div class="param-desc"><span class="param-type">example: 65b40390-de83-4879-a690-02db6729145b</span></div>
<div class="param">amount (optional)</div><div class="param-desc"><span class="param-type"><a href="#Money">Money</a></span>  </div>
<div class="param">status (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
        <div class="param-enum-header">Enum:</div>
        <div class="param-enum">Completed</div><div class="param-enum">Denied</div><div class="param-enum">Failed</div><div class="param-enum">Pending</div>
<div class="param">method (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
        <div class="param-enum-header">Enum:</div>
        <div class="param-enum">CreditCard</div><div class="param-enum">PayPal</div>
<div class="param">description (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
          <div class="param-desc"><span class="param-type">example: Payment for order 4910239571</span></div>
<div class="param">orderId (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
          <div class="param-desc"><span class="param-type">example: 4910239571</span></div>
    </div>  <!-- field-items -->
  </div>
  <div class="model">
    <h3><a name="body"><code>body</code></a> <a class="up" href="#__Models">Up</a></h3>
    
    <div class="field-items">
      <div class="param">amount (optional)</div><div class="param-desc"><span class="param-type"><a href="#Money">Money</a></span>  </div>
<div class="param">method (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span>  </div>
        <div class="param-enum-header">Enum:</div>
        <div class="param-enum">CreditCard</div><div class="param-enum">PayPal</div>
<div class="param">description (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span> Payment description </div>
          <div class="param-desc"><span class="param-type">example: Payment for order id: 4910239571</span></div>
<div class="param">orderId (optional)</div><div class="param-desc"><span class="param-type"><a href="#string">String</a></span> Your order id </div>
          <div class="param-desc"><span class="param-type">example: 4910239571</span></div>
    </div>  <!-- field-items -->
  </div>
  </body>
</html>
